//<c>   Portions Copyright 1990-2000 by Gerry J. Danen; all rights reserved.

/*
        This program returns the LASTDRIVE setting in the ERRORLEVEL.  A=1,
        B=2, etc.  If, for some reason, it is unable to figure out LASTDRIVE,
        it returns 0.

        Originally written by John Millington, modified by Gerry J. Danen.

        Written because of the need to switch between NETX and VLM to talk to a
        Netware file server.  By using this program in a connect-to-network
        batch file, you just have to change the LASTDRIVE setting in your
        CONFIG.SYS, and the batch file can automatically figure out which shell
        to use.

        Excerpt from STARTNET.BAT:

                rem get LASTDRIVE
                lastdrv
                if ERRORLEVEL 6 goto VLM

                rem Lastdrive was E or lower, so use NETX
                lh netx
                goto END

                :VLM
                rem Lastdrive was F or greater, so use VLM
                set NWLANGUAGE=ENGLISH
                lh vlm /MX /V4

                :END
*/
#include"gd_tools.h"


void    putstr( STRING str )
{
    while ( *str )
    {
        _fputchar( *str++ );
    }
}


void    main( void )
{
    int ld = os_lastdrive();

    putstr( "LastDrive=" );
    _fputchar( '@'+ld );
    putstr( ":\n"  );
    exit( ld );
}
